
local S = minetest.get_translator(minetest.get_current_modname())
local mofood_longdesc = S("This is a food item which can be eaten.")




--Cherry

minetest.register_craftitem("mineclonefood:cherry", {
	description = S("Cherry"),
	_doc_items_longdesc = mofood_longdesc,
	inventory_image = "mineclonefood_cherry.png",
	groups = {food=2, eatable=14},
	_mcl_saturation = 0.4,
	on_place = minetest.item_eat(2),
	on_secondary_use = minetest.item_eat(2),
})

minetest.register_craft({
	type = "shapeless",
	output = "mineclonefood:cherry",
	recipe = {"mcl_cherry_blossom:cherryleaves"},
})












--Cherryjuce

minetest.register_craftitem("mineclonefood:cherryjuce", {
	description = S("Cherryjuce"),
	_doc_items_longdesc = mofood_longdesc,
	inventory_image = "mineclonefood_cherryjuce.png",
	stack_max = 1,
	groups = {food=2, eatable=14 },
	_mcl_saturation = 6,
	on_place = minetest.item_eat(6, "mcl_potions:glass_bottle"),
	on_secondary_use = minetest.item_eat(6, "mcl_potions:glass_bottle"),
})

minetest.register_craft({
	output = "mineclonefood:cherryjuce",
	recipe = {
		{"mineclonefood:cherry"},
		{"mineclonefood:cherry"},
		{"mcl_potions:glass_bottle"}
	},
})










--Cherrycake

minetest.register_craftitem("mineclonefood:cherry_cake", {
	description = S("Cherrycake"),
	_doc_items_longdesc = mofood_longdesc,
	inventory_image = "mineclonefood_cherrycake.png",
	groups = {food=2, eatable=14},
	_mcl_saturation = 8,
	on_place = minetest.item_eat(6),
	on_secondary_use = minetest.item_eat(6),
})

minetest.register_craft({
	output = "mineclonefood:cherry_cake",
	recipe = {
		{"mineclonefood:cherry", "mineclonefood:cherry", "mineclonefood:cherry"},
		{"mineclonefood:cherry", "mcl_mobitems:milk_bucket", "mineclonefood:cherry"},
		{"mcl_farming:wheat_item", "mcl_farming:wheat_item", "mcl_farming:wheat_item"}
	},
	replacements = {
		{"mcl_mobitems:milk_bucket", "mcl_buckets:bucket_empty"},
	},
})









--Cherrysugar mcl_core:suga

minetest.register_craftitem("mineclonefood:cherrysugar", {
	description = S("Cherrysugar"),
	_doc_items_longdesc = mofood_longdesc,
	inventory_image = "mineclonefood_cherrysugar.png",
	groups = {food=2, eatable=14},
	_mcl_saturation = 4,
	on_place = minetest.item_eat(3),
	on_secondary_use = minetest.item_eat(3),
})

minetest.register_craft({
	output = "mineclonefood:cherrysugar",
	recipe = {
		{"mcl_core:suga", "mcl_core:suga", "mcl_core:suga"},
		{"mcl_core:suga", "mineclonefood:cherry", "mcl_core:suga"},
		{"mcl_core:suga", "mcl_core:suga", "mcl_core:suga"},
	}
})










--Cherryloly

minetest.register_craftitem("mineclonefood:cherryloly", {
	description = S("Cherryloly"),
	_doc_items_longdesc = mofood_longdesc,
	inventory_image = "mineclonefood_cherryloly.png",
	groups = {food=2, eatable=14},
	_mcl_saturation = 2,
	on_place = minetest.item_eat(4),
	on_secondary_use = minetest.item_eat(4),
})

minetest.register_craft({
	output = "mineclonefood:cherryloly",
	recipe = {
		{"mineclonefood:cherrysugar"},
		{"mcl_core:stick"},
	}
})